gnuplot-x11_4.6.6-1~bpo70+1_i386.deb


Advertisement

Description

gnuplot-x11 - Command-line driven interactive plotting program. X-package

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Backports Main i386
Package filename gnuplot-x11_4.6.6-1~bpo70+1_i386.deb
Package name gnuplot-x11
Package version 4.6.6
Package release 1~bpo70+1
Package architecture i386
Package type deb
Homepage -
License -
Maintainer -
Download size 982.80 KB
Installed size 2.26 KB
Gnuplot is a portable command-line driven interactive data and function
plotting utility that supports lots of output formats, including drivers
for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
is packaged in gnuplot-x11.
Data files and self-defined functions can be manipulated by the internal
C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
and can work with complex numbers.
This package contains the terminal driver that enables gnuplot to plot
images interactively under X11. Most users will want this, it is however
packaged separately so that low-end systems don't need X installed to use
gnuplot.

Alternatives

Package Version Architecture Repository
gnuplot-x11_4.6.6-1~bpo70+1_amd64.deb 4.6.6 amd64 Debian Backports Main
gnuplot-x11_4.6.0-8_amd64.deb 4.6.0 amd64 Debian Main
gnuplot-x11_4.6.0-8_i386.deb 4.6.0 i386 Debian Main
gnuplot-x11 - - -

Requires

Name Value
gnuplot-data = 4.6.6-1~bpo70+1
libc6 >= 2.11
libcairo2 >= 1.6.0
libedit2 >= 2.11-20080614-1
libgd2-noxpm >= 2.0.36~rc1~dfsg
libgd2-xpm >= 2.0.36~rc1~dfsg
libglib2.0-0 >= 2.12.0
liblua5.1-0 -
libpango1.0-0 >= 1.14.0
libx11-6 -

Provides

Name Value
gnuplot-nox -

Conflicts

Name Value
gnuplot-nox -
gnuplot-qt -

Replaces

Name Value
gnuplot-nox -
gnuplot-qt -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package gnuplot-x11_4.6.6-1~bpo70+1_i386.deb
Source Package gnuplot

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    deb http://ftp.debian.org/debian/ wheezy-backports main
  2. Update the package index:
    # sudo apt-get update
  3. Install gnuplot-x11 deb package:
    # sudo apt-get install gnuplot-x11

Files

Path
/usr/bin/gnuplot4-x11
/usr/lib/gnuplot/gnuplot_x11
/usr/share/doc/gnuplot-x11/BUGS
/usr/share/doc/gnuplot-x11/NEWS.Debian.gz
/usr/share/doc/gnuplot-x11/NEWS.gz
/usr/share/doc/gnuplot-x11/README.1ST
/usr/share/doc/gnuplot-x11/README.gz
/usr/share/doc/gnuplot-x11/changelog.Debian.gz
/usr/share/doc/gnuplot-x11/changelog.gz
/usr/share/doc/gnuplot-x11/copyright
/usr/share/gnuplot/gnuplot4-x11.gih
/usr/share/man/man1/gnuplot4-x11.1.gz
/usr/share/menu/gnuplot-x11

Changelog

2014-11-04 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.6-1~bpo70+1) wheezy-backports; urgency=medium
* Rebuild for wheezy-backports.
2014-09-29 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.6-1) unstable; urgency=medium
* [5b5e9cd] Imported Upstream version 4.6.6
* [0a383da] Refresh patches.
* [006e379] Set Standards-Version: 3.9.6. No changes.
* [cc0778a] Fix lintian warning in d/copyright.
2014-08-01 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-10) unstable; urgency=medium
* [684bb08] Depend on the same version of gnuplot-data as a source-version.
* [2e069b9] Fix package name in autopkgtest.
* [6aae61e] Simplify and update autotest. (Closes: #756156)
* [dfdd105] Provide -x11 by -qt. (Closes: #756163)
2014-07-15 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-9) unstable; urgency=medium
* [754170b] Update version number in Breaks/Replaces. (Closes: #754890)
* [3859306] Add missing entries into d./copyright. (Closes: #754872)
2014-07-13 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-8) unstable; urgency=medium
* [27a6ce3] Add gnuplot-data and move there all arch-independent files.
Prevemts circular dependencies. (Closes: #754598)
* [5db8c84] Provide by -x11 and -qt the binary gnuplot-nox. 
(Closes: #754603)
2014-07-12 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-7) unstable; urgency=medium
* [716ff2d] Update autopkgtest.
* [f8828aa] Provide gnuplot4 symlink through update-alternatives
* [b5b3c3b] Do not let install -nox together with -x11 or -qt.
2014-07-08 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-6) unstable; urgency=medium
* [87404d3] Add breaks/replaces construction for gnuplot. (Closes: #754162)
2014-06-24 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-5) unstable; urgency=medium
* [414feb8] Remove old postinst, postrm and prerm scripts.
* [840441d] Do not override autoclean
* [43aac33] Rename binaries from gnuplot to gnuplot4-*.
* [e065af5], [893f8be] Use update-alternatives to provide gnuplot.
* [5829104] Move texmf-files into gnuplot-tex.
2014-06-04 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-4) unstable; urgency=medium
* [4d67729] Disable wxt-terminal. (Closes: #750045)
* [7342432] Increase priority of gnuplot-qt over gnuplot-x11.
2014-05-30 - Anton Gladky <gladk@debian.org>
gnuplot (4.6.5-3) unstable; urgency=medium
* [5aef72d] Fix typo in control-file. (Closes: #749820)

See Also

Package Description
gnuplot5-data_5.0.0~rc+dfsg2-1~bpo70+1_all.deb Command-line driven interactive plotting program. Data-files
gnuplot5-doc_5.0.0~rc+dfsg2-1~bpo70+1_all.deb Command-line driven interactive plotting program. Doc-package
gnuplot5-nox_5.0.0~rc+dfsg2-1~bpo70+1_i386.deb Command-line driven interactive plotting program. No-X package
gnuplot5-qt_5.0.0~rc+dfsg2-1~bpo70+1_i386.deb Command-line driven interactive plotting program. QT-package
gnuplot5-x11_5.0.0~rc+dfsg2-1~bpo70+1_i386.deb Command-line driven interactive plotting program. X-package
gnuplot5_5.0.0~rc+dfsg2-1~bpo70+1_all.deb Command-line driven interactive plotting program, version 5
gnuplot_4.6.6-1~bpo70+1_all.deb Command-line driven interactive plotting program
gnuradio-dev_3.7.5-3~bpo70+3_i386.deb GNU Software Defined Radio toolkit development
gnuradio-doc_3.7.5-3~bpo70+3_all.deb GNU Software Defined Radio toolkit documentation
gnuradio_3.7.5-3~bpo70+3_i386.deb GNU Radio Software Radio Toolkit
gnutls-bin_3.3.8-6~bpo70+1_i386.deb GNU TLS library - commandline utilities
gnutls-doc_3.3.8-6~bpo70+1_all.deb GNU TLS library - documentation and examples
golang-doc_1.3.3-1~bpo70+1_all.deb Go programming language compiler - documentation
golang-go-darwin-386_1.3.3-1~bpo70+1_all.deb Go standard library compiled for darwin_386
golang-go-darwin-amd64_1.3.3-1~bpo70+1_all.deb Go standard library compiled for darwin_amd64
Advertisement
Advertisement